Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQKbdDriverPlugin Class Reference

The TQKbdDriverPlugin class provides an abstract base for TQt/Embedded keyboard driver plugins. More...

`#include <qkbddriverplugin_qws.h>`

List of all member functions.

## Public Members

- TQKbdDriverPlugin ()
- ~TQKbdDriverPlugin ()
- virtual TQStringList keys () const = 0
- virtual TQWSKeyboardHandler * create ( const TQString & driver, const TQString & device ) = 0

## Detailed Description

The TQKbdDriverPlugin class provides an abstract base for TQt/Embedded keyboard driver plugins.

The keyboard driver plugin is a simple plugin interface that makes it easy to create custom keyboard drivers.

Writing a keyboard driver plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the `TQ_EXPORT_PLUGIN` macro. See the Plugins documentation for details.

This class is only available in TQt/Embedded.

See also Plugins.

## Member Function Documentation

### TQKbdDriverPlugin::TQKbdDriverPlugin ()

Constructs a keyboard driver plugin. This is invoked automatically by the `TQ_EXPORT_PLUGIN` macro.

### TQKbdDriverPlugin::~TQKbdDriverPlugin ()

Destroys the keyboard driver plugin.

You never have to call this explicitly. TQt destroys a plugin automatically when it is no longer used.

### TQWSKeyboardHandler * TQKbdDriverPlugin::create ( const TQString & driver, const TQString & device )`[pure virtual]`

Creates a driver matching the type specified by driver and device.

See also keys().

### TQStringList TQKbdDriverPlugin::keys () const`[pure virtual]`

Returns the list of keyboard drivers this plugin supports.

See also create().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.